# Generated by Django 2.2.15 on 2020-10-13 12:48

from django.db import migrations, models
import django.db.models.deletion
from django.db.models.fields.json import JSONField


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0045_auto_20200507_0445'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeoApp',
            fields=[
                ('resourcebase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='base.ResourceBase')),
                ('name', models.TextField(db_index=True, unique=True, verbose_name='Name')),
                ('zoom', models.IntegerField(blank=True, null=True, verbose_name='zoom')),
                ('projection', models.CharField(blank=True, max_length=32, null=True, verbose_name='projection')),
                ('center_x', models.FloatField(blank=True, null=True, verbose_name='center X')),
                ('center_y', models.FloatField(blank=True, null=True, verbose_name='center Y')),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('urlsuffix', models.CharField(blank=True, max_length=255, null=True, verbose_name='Site URL')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('base.resourcebase',),
        ),
        migrations.CreateModel(
            name='GeoAppData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('blob', JSONField(default=dict)),
                ('resource', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geoapps.GeoApp')),
            ],
        ),
        migrations.AddField(
            model_name='geoapp',
            name='data',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='data', to='geoapps.GeoAppData'),
        ),
    ]
