# Generated by Django 3.2.4 on 2021-07-05 11:21

from django.db import migrations
import json
import logging

logger = logging.getLogger(__name__)

def convert_map_blob(apps, _):
    model = apps.get_model('base', 'ResourceBase')
    for item in model.objects.filter(resource_type='map'):
        if isinstance(item.blob, str):
            try:
                new_blob = json.loads(item.blob)
                model.objects.filter(id=item.id).update(blob=new_blob)
            except Exception as e:
                logger.exception(e)


class Migration(migrations.Migration):

    dependencies = [
        ('maps', '0032_auto_20210714_1452'),
    ]

    operations = [
        migrations.RunPython(convert_map_blob, migrations.RunPython.noop)
    ]
