# Generated by Django 3.2.7 on 2021-11-08 19:45
import ast
import logging

from django.db import migrations, models

logger = logging.getLogger(__name__)


def set_current_style_value(apps, schema_editor):
    MapLayer = apps.get_model("maps", "MapLayer")

    for maplayer in MapLayer.objects.iterator():
        try:
            styles = (
                ast.literal_eval(maplayer.styles)
                if isinstance(maplayer.styles, str) else
                maplayer.styles
            )
            if styles and type(styles) == list and len(styles):
                maplayer.current_style = styles[0]
                maplayer.save()
        except Exception as e:
            logger.exception(e)


def reverse_current_style_value(apps, schema_editor):
    MapLayer = apps.get_model("maps", "MapLayer")
    MapLayer.objects.all().update(current_style=None)


class Migration(migrations.Migration):

    dependencies = [
        ('maps', '0033_convert_map_blob'),
    ]

    operations = [
        migrations.AddField(
            model_name='maplayer',
            name='current_style',
            field=models.TextField(blank=True, null=True, verbose_name='current style'),
        ),
        migrations.AddField(
            model_name='maplayer',
            name='extra_params',
            field=models.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.RunPython(set_current_style_value, reverse_current_style_value),
    ]
